using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using RepPP;
using RepPP.Toolkit.Web;
using RepPP.Framework.Web;

namespace $$REPPP:NAMESPACE$$ {
    //********************************************************************************
    //
	/// <summary>
	/// Summary description for $$REPPP:CLASS_NAME$$.
	/// </summary>
	//
    //********************************************************************************
	public class $$REPPP:CLASS_NAME$$ : PageEditor {
        protected RepPP.Framework.Web.ToolBarFW                 ToolBarFW1;
        $$REPPP:FOR_EACH_FIELD_BEGIN$$
        protected RepPP.Toolkit.Web.FldLabel                    lbl$$REPPP:FIELD_NAME$$;
        protected $$REPPP:FIELD_CONTROL_TYPE$$                  fld$$REPPP:FIELD_NAME$$;
        $$REPPP:FOR_EACH_FIELD_END$$
        $$REPPP:FOR_EACH_CHILD_BEGIN$$
        protected RepPP.Framework.Web.DataGridGInstSelect       grpDataGridSelect$$REPPP:CHILD_NAME$$;
        protected RepPP.Toolkit.DataSourceGInst                 groupInstanceDataSource$$REPPP:CHILD_NAME$$;
        protected RepPP.Framework.Web.ContextMenuFW             ContextMenu$$REPPP:CHILD_NAME$$;
        $$REPPP:FOR_EACH_CHILD_END$$
        protected RepPP.Framework.Web.DataGridGInstSelect       DataGridGInstSelect$$REPPP:SB_ROOT_GROUP_NAME$$;
        protected RepPP.Toolkit.DataSourceGInst                 dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$;
        protected RepPP.Framework.Web.ContextMenuFW             ContextMenuFW$$REPPP:SB_ROOT_GROUP_NAME$$;
        protected RepPP.Framework.Web.HyperLinkFilter           HyperLinkFilter$$REPPP:SB_ROOT_GROUP_NAME$$;
        protected RepPP.Toolkit.Web.AtmLinkButton               LnkLanguage$$REPPP:SB_ROOT_GROUP_NAME$$;
        protected RepPP.Toolkit.Web.AtmHyperLink                AtmHyperLink$$REPPP:SB_ROOT_GROUP_NAME$$;

        protected RepPP.RepPPInfo                               repPPInfo1;
        protected System.Web.UI.WebControls.ValidationSummary   ValidationSummary1;
        protected RepPP.Toolkit.Web.AtmLabel                    AtmEditorTitle;
        protected RepPP.Toolkit.Web.AtmLabel                    AtmAppTitle;
        protected RepPP.Toolkit.Web.AtmLabel                    AtmSelectionBufferTitle;
        private System.ComponentModel.IContainer                components;

        public $$REPPP:CLASS_NAME$$() : base("$$REPPP:MAIN_CARD_NAME$$", "$$REPPP:GROUP_NAME$$", TransactionCacheModeE.CacheAndDelay, "$$REPPP:SB_CARD_NAME$$", ""){
        }

        //********************************************************************************
        //
	    /// <summary>
	    /// Page_PreRender:                 Handle the PreRender event
	    /// </summary>
	    /// <param name="sender">           Sender object</param>
	    /// <param name="e">                Event parameter</param>
	    //
        //********************************************************************************		
        private void On$$REPPP:CLASS_NAME$$_PreRender(object sender, System.EventArgs e) {  
            DataBind();
        }

        //********************************************************************************
        //
	    /// <summary>
	    /// LnkLanguage$$REPPP:SB_ROOT_GROUP_NAME$$_Click:           Handle the click event
	    /// </summary>
	    /// <param name="sender">           Sender object</param>
	    /// <param name="e">                Event parameter</param>
	    //
        //********************************************************************************	
        private void LnkLanguage$$REPPP:SB_ROOT_GROUP_NAME$$_Click(object sender, System.EventArgs e) {
            RepPP.LanguageCode  currentLanguage;

            currentLanguage = RepApplicationHolder.Application.LanguageCode;
            if (currentLanguage == LanguageCode.sdDefault || 
                currentLanguage == LanguageCode.sdEnglish) {
                SetLanguage(LanguageCode.sdFrench);
            } else {
                SetLanguage(LanguageCode.sdEnglish);
            }
        }

        #region Rep++ User Intervention Points
        protected override void OnBeforeNewItem(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnBeforeNewItem (e);
        }
        protected override void OnAfterNewItem(EventArgs e) {
			// Put user code to handle this event here
            base.OnAfterNewItem (e);
        }
        protected override void OnBeforeDeleteItem(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnBeforeDeleteItem (e);
        }
        protected override void OnAfterDeleteItem(EventArgs e) {
			// Put user code to handle this event here
            base.OnAfterDeleteItem (e);
        }
        protected override void OnBeforeDuplicateItem(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnBeforeDuplicateItem (e);
        }
        protected override void OnAfterDuplicateItem(EventArgs e) {
			// Put user code to handle this event here
            base.OnAfterDuplicateItem (e);
        }
        public override bool OnBeforeLoadFromDB(CancelEventArgs e) {
            return base.OnBeforeLoadFromDB (e);
        }

        public override void OnAfterLoadFromDB(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnAfterLoadFromDB (e);
        }
        public override void OnBeforeSaveToDB(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnBeforeSaveToDB (e);
        }
        public override void OnAfterSaveToDB(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnAfterSaveToDB (e);
        }
        protected override void OnBeforeValidate(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnBeforeValidate (e);
        }
        protected override void OnAfterValidate(CancelEventArgs e) {
			// Put user code to handle this event here
            base.OnAfterValidate (e);
        }
  		#endregion

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{   
            this.components = new System.ComponentModel.Container();
            this.repPPInfo1 = new RepPP.RepPPInfo(this.components);
            $$REPPP:FOR_EACH_CHILD_BEGIN$$
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$ = new RepPP.Toolkit.DataSourceGInst(this.components);
            $$REPPP:FOR_EACH_CHILD_END$$
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$ = new RepPP.Toolkit.DataSourceGInst(this.components);       
            this.LnkLanguage$$REPPP:SB_ROOT_GROUP_NAME$$.Click += new System.EventHandler(this.LnkLanguage$$REPPP:SB_ROOT_GROUP_NAME$$_Click);

            $$REPPP:FOR_EACH_CHILD_BEGIN$$
            // 
            // groupInstanceDataSource$$REPPP:CHILD_NAME$$
            // 
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$.AllowEdit = true;
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$.AllowNew = true;
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$.AllowRemove = true;
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$.CardGroupFullName = new RepPP.Toolkit.CrdGrpFullName("$$REPPP:MAIN_CARD_NAME$$", "$$REPPP:CHILD_NAME$$");
            this.groupInstanceDataSource$$REPPP:CHILD_NAME$$.ShowDescription = RepPP.Toolkit.DataSourceGInst.ShowDescriptionE.Always;
            $$REPPP:FOR_EACH_CHILD_END$$
            // 
            // dataSourceGInstSB
            // 
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.AllowEdit = true;
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.AllowNew = true;
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.AllowRemove = true;
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.AutoFill = false;
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.CardGroupFullName = new RepPP.Toolkit.CrdGrpFullName("$$REPPP:SB_CARD_NAME$$", "$$REPPP:SB_ROOT_GROUP_NAME$$");
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.ShowDescription = RepPP.Toolkit.DataSourceGInst.ShowDescriptionE.Always;
            this.dataSourceGInst$$REPPP:SB_ROOT_GROUP_NAME$$.WhereClause = "";
            this.PreRender += new System.EventHandler(this.On$$REPPP:CLASS_NAME$$_PreRender);
		}
		#endregion

	} // Class $$REPPP:CLASS_NAME$$
} // Namespace
